
<!---
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
-->
# Apache Mahout Changelog

## Release 0.14.0 - Unreleased (as of 2018-10-20)



### IMPROVEMENTS:

| JIRA | Summary | Priority | Component | Reporter | Contributor |
|:---- |:---- | :--- |:---- |:---- |:---- |
| [MAHOUT-2032](https://issues.apache.org/jira/browse/MAHOUT-2032) | Delete files from lib/ on mvn clean |  Major | . | Trevor Grant | Trevor Grant |
| [MAHOUT-2036](https://issues.apache.org/jira/browse/MAHOUT-2036) | Create profiles |  Major | . | Trevor Grant | Trevor Grant |
| [MAHOUT-2034](https://issues.apache.org/jira/browse/MAHOUT-2034) | Add "examples" module |  Major | . | Trevor Grant | Trevor Grant |


### BUG FIXES:

| JIRA | Summary | Priority | Component | Reporter | Contributor |
|:---- |:---- | :--- |:---- |:---- |:---- |
| [MAHOUT-1902](https://issues.apache.org/jira/browse/MAHOUT-1902) | Parse Spark and Mahout variable arguments from the Mahout spark-shell |  Major | Mahout spark shell | Andrew Palumbo |  |
| [MAHOUT-2037](https://issues.apache.org/jira/browse/MAHOUT-2037) | Add release plugins |  Major | . | Trevor Grant | Trevor Grant |
| [MAHOUT-2041](https://issues.apache.org/jira/browse/MAHOUT-2041) | Add java/scala doc plugins |  Major | . | Trevor Grant | Trevor Grant |
| [MAHOUT-2039](https://issues.apache.org/jira/browse/MAHOUT-2039) | Add maven-enforcer plugin |  Major | . | Trevor Grant | Trevor Grant |
| [MAHOUT-2038](https://issues.apache.org/jira/browse/MAHOUT-2038) | Add checkstyle plugin |  Major | . | Trevor Grant | Trevor Grant |
| [MAHOUT-2040](https://issues.apache.org/jira/browse/MAHOUT-2040) | Add maven-surefire plugin |  Major | . | Trevor Grant | Trevor Grant |
| [MAHOUT-2043](https://issues.apache.org/jira/browse/MAHOUT-2043) | Move Kryo dependency to top of community engines and engines plugin |  Major | . | Trevor Grant | Trevor Grant |
| [MAHOUT-2042](https://issues.apache.org/jira/browse/MAHOUT-2042) | Delete directories no longer in use |  Major | . | Trevor Grant | Trevor Grant |
| [MAHOUT-2045](https://issues.apache.org/jira/browse/MAHOUT-2045) | delete refactor-readme.md |  Major | . | Trevor Grant | Trevor Grant |
| [MAHOUT-2033](https://issues.apache.org/jira/browse/MAHOUT-2033) | MR can't find OpenIntHash and other things like that |  Major | . | Trevor Grant | Trevor Grant |


### OTHER:

| JIRA | Summary | Priority | Component | Reporter | Contributor |
|:---- |:---- | :--- |:---- |:---- |:---- |
| [MAHOUT-1894](https://issues.apache.org/jira/browse/MAHOUT-1894) | Add support for Spark 2x backend |  Critical | spark | Suneel Marthi | Trevor Grant |


